Subject: [SAFE] Linux implementation of STUN Control

From: "Christian Dickmann" <[email-masked]>
Date: Thu, 11 Oct 2007 00:08:45 +0200

Hi all,

I wanted to make you aware of a Linux-based implementation of STUN Control I have been working on recently. It uses the open source STUN implementation coming with NICE [1] and extends it to support controlling the Linux NAT functionality. In order to interface with the NAT functionality, I created a Linux kernel module which does the actual job of extending NAT binding lifetimes. 

I created a webpage that describes the structure and some implementation details (mostly Linux specifics). It also shows the nested-NAT discovery and reduced-refreshes use-cases in action. Take a look at:
http://www.christian-dickmann.de/stun.php

I am still working on adding things like the BOOTNONCE, testing stability, documentation and tying up some loose ends. Once this is done, I plan on releasing the full source. At the moment, parts of the current source code are available on the webpage as a patch to NICE.

Overall, I can already say that implementing STUN Control (at least the Outside-In mechanism) is not a lot of work and pretty much straight forward. 

Best regards,
Christian Dickmann
University of Göttingen

[1] http://nice.freedesktop.org/wiki/

_______________________________________________
SAFE mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/safe